-- Patch DDL de SCO_PRE_SCOLARITE du 04/06/2013 à exécuter depuis le user GRHUM
--
-- Rem : fichier encodé UTF-8

SET DEFINE OFF;

--
--
-- Fichier : 2/3
-- Type : DML
-- Schema : SCO_PRE_SCOLARITE
-- Numero de version : 0.1.0.0
-- Date de publication : 04/06/2013
-- Auteur(s) : Association Cocktail
--
--
WHENEVER SQLERROR EXIT SQL.SQLCODE;



------------------------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------ TABLES des correspondant à l'etudiant --------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------------------------

 CREATE TABLE SCO_PRE_SCOLARITE.PRE_ETUDIANT (
	ID_PRE_ETUDIANT NUMBER(38) NOT NULL,
	PRE_TYPE VARCHAR2(1) NOT NULL,
	TYPE_INSCRIPTION VARCHAR2(1) NOT NULL,
	NOM_PATRONYMIQUE VARCHAR2(80), 
	PRENOM VARCHAR2(40) NOT NULL, 
	CIVILITE VARCHAR2(5) NOT NULL, 
	NOM_USUEL VARCHAR2(80) NOT NULL, 
	PRENOM2 VARCHAR2(40), 
	D_NAISSANCE DATE, 
	VILLE_NAISSANCE VARCHAR2(60), 
	DEPT_NAISSANCE VARCHAR2(3), 
	PAYS_NAISSANCE VARCHAR2(3) DEFAULT '100' , 
	PAYS_NATIONALITE VARCHAR2(3) DEFAULT '100', 
	D_NATURALISATION DATE, 
	SIT_MILITAIRE VARCHAR2(1), 
	ID_SITUATION_FAMILIALE VARCHAR2(1) NOT NULL,
	ENFANTS_CHARGE NUMBER(1) NOT NULL,
	NO_INSEE VARCHAR2(13) , 
	CLE_INSEE NUMBER(2), 
	INSEE_PROVISOIRE NUMBER(1) DEFAULT 0 NOT NULL,
	PHOTO NUMBER(1) DEFAULT 0 NOT NULL, 
	BAC_CODE VARCHAR2(4), 
	ETAB_CODE_BAC VARCHAR2(8), 
	CODE_INE VARCHAR2(20),
	INE_PROVISOIRE NUMBER(1) DEFAULT 0 NOT NULL, 
	MENT_CODE VARCHAR2(1), 
	C_DEPARTEMENT_PARENT VARCHAR2(3), 
	PRO_CODE VARCHAR2(3), 
	PRO_CODE2 VARCHAR2(3),
	ANNEE_BAC NUMBER(4), 
	SPORT_HN NUMBER(1) DEFAULT 0 , 
	ANNEE_1INSC_ETAB NUMBER(4) , 
	ANNEE_1INSC_UNIV NUMBER(4), 
	ETAB_CODE_SUP VARCHAR2(8), 
	CAND_NUMERO NUMBER(32), 
	DEPARTEMENT_ETAB_BAC VARCHAR2(3), 
	PAYS_ETAB_BAC VARCHAR2(3) DEFAULT '100', 
	VILLE_BAC VARCHAR2(50), 
	REIMMATRICULATION VARCHAR2(1), 
	THEB_CODE VARCHAR2(1), 
	ACAD_CODE_BAC VARCHAR2(3), 
	ANNEE_1INSC_SUP NUMBER(4), 
	SN_ATTESTATION NUMBER(1), 
	SN_CERTIFICATION NUMBER(1), 
  	D_CREATION DATE  NOT NULL, 
	D_MODIFICATION DATE ,
	PERS_ID_CREATION NUMBER(38) , 
	PERS_ID_MODIFICATION NUMBER(38) , 
  	PRIMARY KEY (ID_PRE_ETUDIANT)  
);
	CREATE SEQUENCE SCO_PRE_SCOLARITE.PRE_ETUDIANT_SEQ START WITH 1;
 	COMMENT ON TABLE SCO_PRE_SCOLARITE.PRE_ETUDIANT  IS 'Futurs etudiants de l''universite.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.ID_PRE_ETUDIANT IS 'id de pre_etudiant';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.PRE_TYPE IS 'Type étudiant';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.TYPE_INSCRIPTION IS 'Type d''inscription P:primo-entrant, R: réinscription, A:admission, I:inscrit';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.NOM_PATRONYMIQUE IS 'Nom patronymique.$nom patronymique';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.PRENOM IS 'Prenom de l''individu';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.CIVILITE IS 'Code du titre de civilite : le code est significatif (cest celui qui est utilise dans les documents administratifs et qui qui repond aux normes de ces derniers).';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.NOM_USUEL IS 'Nom dusage.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.PRENOM2 IS 'Deuxieme prenom (utilise notamment pour distinguer les homonymes).';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.D_NAISSANCE IS 'Date de naissance';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.VILLE_NAISSANCE IS 'Ville de naissance.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.DEPT_NAISSANCE IS 'Numero du departement de naissance.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.PAYS_NAISSANCE IS 'Code du pays de naissance.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.PAYS_NATIONALITE IS 'Code du pays de nationalite.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.D_NATURALISATION IS 'Date de naturalisation.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.SIT_MILITAIRE IS 'Code de la situation militaire.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.ID_SITUATION_FAMILIALE IS 'Code de la situation de famille.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.NO_INSEE IS 'numero INSEE de l''individu.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.CLE_INSEE IS 'clef INSEE de l''individu.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.INSEE_PROVISOIRE IS 'Numéro INSEE provisoire  (1 : oui , 0 : non)';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.PHOTO IS 'diffusion de la photo de l''individu ?  (1 : oui , 0 : non)';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.BAC_CODE IS 'Code Bac (GRHUM.BAC)';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.ETAB_CODE_BAC IS 'Code établissement Bac';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.CODE_INE IS 'INE de l''étudiant';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.INE_PROVISOIRE IS 'Numéro INE provisoire  (1 : oui , 0 : non)';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.MENT_CODE IS 'Code mention Bac (GRHUM.MENTION)';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.C_DEPARTEMENT_PARENT IS 'Code département des parents (GRHUM.DEPARTEMENT)';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.PRO_CODE IS 'Référence à GRHUM.PROFESSION.PRO_CODE ; profession du premier responsable';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.PRO_CODE2 IS 'Référence à GRHUM.PROFESSION.PRO_CODE ; profession  du second responsable, si nécessaire.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.ANNEE_BAC IS 'Année d''obtention du Bac';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.SPORT_HN IS 'Sportif de Haut Niveau (0 ou 1)';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.ANNEE_1INSC_ETAB IS '1ère inscription dans l''établissement';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.ANNEE_1INSC_UNIV IS '1ère inscription dans une université';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.ETAB_CODE_SUP IS ' Code établissement de première inscription dans un établissement d''enseignement supérieur';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.CAND_NUMERO IS 'Numero de candidat';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.DEPARTEMENT_ETAB_BAC IS 'Code département de l''établissement Bac (GRHUM.DEPARTEMENT)'; 
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.PAYS_ETAB_BAC IS 'Code pays de l''établissement Bac (GRHUM.PAYS)';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.VILLE_BAC IS 'Ville de l''établissement Bac';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.REIMMATRICULATION IS 'provisoire ?';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.THEB_CODE IS 'Code du type d''hébergement (GRHUM.TYPE_HEBERGEMENT)';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.ACAD_CODE_BAC IS 'Code de l''académie Bac (GRHUM.ACADEMIE)';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.ANNEE_1INSC_SUP IS '1ère inscription dans un établissement d''enseignement supérieur';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.SN_ATTESTATION IS 'Service national';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.SN_CERTIFICATION IS 'Certification service national';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.D_CREATION IS 'Date création';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.D_MODIFICATION IS 'Date modification';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.PERS_ID_CREATION IS 'Pers_id de la personne à l''origine de la création de l''enregistrement';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT.PERS_ID_MODIFICATION IS 'Pers_id de la personne à l''origine de la modification de l''enregistrement';

	ALTER TABLE SCO_PRE_SCOLARITE.PRE_ETUDIANT ADD CONSTRAINT FK_PREETU_CIV FOREIGN KEY (CIVILITE) REFERENCES GRHUM.CIVILITE DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_ETUDIANT ADD CONSTRAINT FK_PREETU_PAYS_N FOREIGN KEY (PAYS_NAISSANCE) REFERENCES GRHUM.PAYS DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_ETUDIANT ADD CONSTRAINT FK_PREETU_PAYS_NAT FOREIGN KEY (PAYS_NATIONALITE) REFERENCES GRHUM.PAYS DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_ETUDIANT ADD CONSTRAINT FK_PREETU_PROFESSION FOREIGN KEY (PRO_CODE) REFERENCES GRHUM.PROFESSION DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_ETUDIANT ADD CONSTRAINT FK_PREETU_PROFESSION_2 FOREIGN KEY (PRO_CODE2) REFERENCES GRHUM.PROFESSION DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_ETUDIANT ADD CONSTRAINT FK_PREETU_SITUATION_FAM FOREIGN KEY (ID_SITUATION_FAMILIALE) REFERENCES GRHUM.SITUATION_FAMILIALE DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_ETUDIANT ADD CONSTRAINT FK_PREETU_PERSONNE FOREIGN KEY (PERS_ID_CREATION) REFERENCES GRHUM.PERSONNE DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_ETUDIANT ADD CONSTRAINT FK_PREETU_PERSONNE2 FOREIGN KEY (PERS_ID_MODIFICATION) REFERENCES GRHUM.PERSONNE DEFERRABLE INITIALLY DEFERRED;

CREATE TABLE SCO_PRE_SCOLARITE.PRE_ADRESSE (	
	ID_PRE_ADRESSE NUMBER  NOT NULL, 
	ID_PRE_ETUDIANT NUMBER(38) NOT NULL,
	TYPE_ADRESSE VARCHAR2(5) NOT NULL,
	BOITE_POSTALE VARCHAR2(7),
	CODE_POSTAL VARCHAR2(10), 
	VILLE VARCHAR2(60), 
	C_PAYS VARCHAR2(3)  NOT NULL, 
	CP_ETRANGER VARCHAR2(10), 
	ADR_ADRESSE1 VARCHAR2(100), 
	ADR_ADRESSE2 VARCHAR2(300), 
	ADR_EMAIL VARCHAR2(100), 
	D_CREATION DATE  NOT NULL, 
	D_MODIFICATION DATE , 
	PERS_ID_CREATION NUMBER(38) , 
	PERS_ID_MODIFICATION NUMBER(38),
	PRIMARY KEY (ID_PRE_ADRESSE)
);
	CREATE SEQUENCE SCO_PRE_SCOLARITE.PRE_ADRESSE_SEQ START WITH 1;
	COMMENT ON TABLE SCO_PRE_SCOLARITE.PRE_ADRESSE  IS 'Adresses des futurs étudiants.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ADRESSE.ID_PRE_ADRESSE IS 'clef primaire de la table ADRESSE.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ADRESSE.ID_PRE_ETUDIANT IS 'id de la table de pre_etudiant';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ADRESSE.BOITE_POSTALE IS 'boite postale.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ADRESSE.CODE_POSTAL IS 'Code postal du bureau distributeur.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ADRESSE.VILLE IS 'Bureau distributeur.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ADRESSE.C_PAYS IS 'Code du pays.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ADRESSE.CP_ETRANGER IS 'Code postal etranger pour les adresses internationales.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ADRESSE.ADR_ADRESSE1 IS 'premiere partie de l''adresse.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ADRESSE.ADR_ADRESSE2 IS 'seconde partie de l''adresse.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ADRESSE.ADR_EMAIL IS 'adresse email.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ADRESSE.D_CREATION IS 'Date de creation de lenregistrement.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ADRESSE.D_MODIFICATION IS 'Date de la derniere modification de lenregistrement.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ADRESSE.PERS_ID_CREATION IS 'Pers_id de la personne à l''origine de la création de l''enregistrement';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ADRESSE.PERS_ID_MODIFICATION IS 'Pers_id de la personne à l''origine de la modification de l''enregistrement';

	ALTER TABLE SCO_PRE_SCOLARITE.PRE_ADRESSE ADD CONSTRAINT FK_PRADR_PREETU FOREIGN KEY (ID_PRE_ETUDIANT) REFERENCES SCO_PRE_SCOLARITE.PRE_ETUDIANT DEFERRABLE INITIALLY DEFERRED;

	
CREATE TABLE SCO_PRE_SCOLARITE.PRE_TELEPHONE (
	ID_PRE_TELEPHONE NUMBER(38) NOT NULL,
	ID_PRE_ETUDIANT NUMBER(36) NOT NULL,
	NO_TELEPHONE VARCHAR2(20) NOT NULL,
	INDICATIF NUMBER(38),
	TYPE_NO VARCHAR2(3) NOT NULL,
	TYPE_TEL VARCHAR2(4) NOT NULL,
	D_CREATION DATE  NOT NULL, 
	D_MODIFICATION DATE , 
	PERS_ID_CREATION NUMBER(38), 
	PERS_ID_MODIFICATION NUMBER(38),
	PRIMARY KEY (ID_PRE_TELEPHONE)
);
	CREATE SEQUENCE SCO_PRE_SCOLARITE.PRE_TELEPHONE_SEQ START WITH 1;
	COMMENT ON TABLE SCO_PRE_SCOLARITE.PRE_TELEPHONE  IS 'Liste des numeros de telephone attrribue aux futurs étudiants.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_TELEPHONE.ID_PRE_TELEPHONE IS 'clef primaire de la table PRE_TELEPHONE';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_TELEPHONE.ID_PRE_ETUDIANT IS 'Identifiant de l''étudiant (id de la table PRE_ETUDIANT)';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_TELEPHONE.NO_TELEPHONE IS 'Numero de telephone.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_TELEPHONE.INDICATIF IS 'Indicatif telephonique du pays';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_TELEPHONE.TYPE_NO IS 'Temoin precisant si le numero est relie a un telephone, un fax ou un mobile.';
 	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_TELEPHONE.D_CREATION IS 'Date de creation de l''enregistrement.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_TELEPHONE.D_MODIFICATION IS 'Date de la derniere modification de l''enregistrement.';
 	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_TELEPHONE.PERS_ID_CREATION IS 'Pers_id de la personne à l''origine de la création de l''enregistrement';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_TELEPHONE.PERS_ID_MODIFICATION IS 'Pers_id de la personne à l''origine de la modification de l''enregistrement';

	ALTER TABLE SCO_PRE_SCOLARITE.PRE_TELEPHONE ADD CONSTRAINT FK_PRETEL_PREETU FOREIGN KEY (ID_PRE_ETUDIANT) REFERENCES SCO_PRE_SCOLARITE.PRE_ETUDIANT DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_TELEPHONE ADD CONSTRAINT FK_PRETEL_TYPENO FOREIGN KEY (TYPE_NO) REFERENCES GRHUM.TYPE_NO_TEL DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_TELEPHONE ADD CONSTRAINT FK_PRETEL_TYPETEL FOREIGN KEY (TYPE_TEL) REFERENCES GRHUM.TYPE_TEL DEFERRABLE INITIALLY DEFERRED;
	
 
CREATE TABLE SCO_PRE_SCOLARITE.PRE_INSCRIPTION (
	ID_PRE_INSCRIPTION NUMBER(38) NOT NULL,
	ID_PRE_ETUDIANT NUMBER(38) NOT NULL,
	ANNEE NUMBER(4) NOT NULL, 
	ID_DIPLOME NUMBER(38) NOT NULL,
	NIVEAU NUMBER(38),
	GRADE NUMBER(38),
	ID_TYPE_INSCRIPTION_FORMATION NUMBER(38) NOT NULL,
	ID_TYPE_ECHANGE NUMBER(38), 
	REDOUBLEMENT NUMBER(1) DEFAULT 0,
	REORIENTATION NUMBER(1) DEFAULT 0,
	PASSAGE_CONDITIONNEL NUMBER(1) DEFAULT 0,
	CYCLE_AMENAGE NUMBER(1) DEFAULT 0,
 	D_CREATION DATE  NOT NULL, 
	D_MODIFICATION DATE , 
	PERS_ID_CREATION NUMBER(38), 
	PERS_ID_MODIFICATION NUMBER(38),
	PRIMARY KEY (ID_PRE_INSCRIPTION)
);
	CREATE SEQUENCE SCO_PRE_SCOLARITE.PRE_INSCRIPTION_SEQ START WITH 1;
	COMMENT ON TABLE SCO_PRE_SCOLARITE.PRE_INSCRIPTION  IS 'Table reliant l''étudiant à un diplome et une année.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_INSCRIPTION.ID_PRE_INSCRIPTION IS 'Identifiant de l''étudiant (id de la table PRE_ETUDIANT)';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_INSCRIPTION.ID_PRE_ETUDIANT IS 'Identifiant de l''étudiant (id de la table PRE_ETUDIANT)';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_INSCRIPTION.ANNEE IS 'Année de l''inscription.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_INSCRIPTION.ID_DIPLOME IS 'diplome sur lequel l''étudiant est inscrit';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_INSCRIPTION.NIVEAU IS 'niveau de la formation suivi';
 	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_INSCRIPTION.GRADE IS 'grade de la formation suivi';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_INSCRIPTION.ID_TYPE_INSCRIPTION_FORMATION IS 'type de l''inscription correspond à l''id de la table SCO_SCOLARITE_TYPE_INSCRIPTION_FORMATION';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_INSCRIPTION.ID_TYPE_ECHANGE IS 'type de l''inscription correspond à l''id de la table SCO_SCOLARITE_TYPE_ECHANGE';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_INSCRIPTION.REDOUBLEMENT IS 'Indique si la formation correspond à un redoublement';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_INSCRIPTION.REORIENTATION IS 'Indique si la formation correspond à une ré-orientation';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_INSCRIPTION.PASSAGE_CONDITIONNEL IS 'Indique si la formation correspond à un passage conditionnel';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_INSCRIPTION.CYCLE_AMENAGE IS 'Indique si pour la formation le cyle est aménagé';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_INSCRIPTION.D_CREATION IS 'Date de creation de l''enregistrement.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_INSCRIPTION.D_MODIFICATION IS 'Date de la derniere modification de l''enregistrement.';
 	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_INSCRIPTION.PERS_ID_CREATION IS 'Pers_id de la personne à l''origine de la création de l''enregistrement';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_INSCRIPTION.PERS_ID_MODIFICATION IS 'Pers_id de la personne à l''origine de la modification de l''enregistrement';

	ALTER TABLE SCO_PRE_SCOLARITE.PRE_INSCRIPTION ADD CONSTRAINT FK_PREINSC_PREETU FOREIGN KEY (ID_PRE_ETUDIANT) REFERENCES SCO_PRE_SCOLARITE.PRE_ETUDIANT DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_INSCRIPTION ADD CONSTRAINT FK_PREINSC_DIPLOME FOREIGN KEY (ID_DIPLOME) REFERENCES SCO_SCOLARITE.DIPLOME DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_INSCRIPTION ADD CONSTRAINT FK_PREINSC_TYPE FOREIGN KEY (ID_TYPE_INSCRIPTION_FORMATION) REFERENCES SCO_SCOLARITE.TYPE_INSCRIPTION_FORMATION DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_INSCRIPTION ADD CONSTRAINT FK_PREINSC_ECHANGE FOREIGN KEY (ID_TYPE_ECHANGE) REFERENCES SCO_SCOLARITE.TYPE_ECHANGE DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_INSCRIPTION ADD CONSTRAINT FK_PREINSC_GRADE FOREIGN KEY (GRADE) REFERENCES SCO_SCOLARITE.GRADE_UNIVERSITAIRE DEFERRABLE INITIALLY DEFERRED;


CREATE TABLE SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE (
	ID_PRE_ETUDIANT_ANNEE NUMBER(38) NOT NULL,
	ID_PRE_ETUDIANT NUMBER(38) NOT NULL,
	ANNEE NUMBER(4) NOT NULL, 
	BOURSIER NUMBER(1) DEFAULT 0, 
	ACAD_BOURSE VARCHAR2(50),
	NUM_ALLOC_BOURSE VARCHAR2(13),
	ECH_BOURSE NUMBER(2), 
	AUTRE_CAS_EXO VARCHAR2(50),
	ID_ORIGINE_RESSOURCES  NUMBER(38),
	TUTEUR1 VARCHAR2(130), 
	TUTEUR2 VARCHAR2(130), 
	PRO_CODE VARCHAR2(3) , 
	PRO_CODE2 VARCHAR2(3),
	ID_SITUATION_FAMILIALE VARCHAR2(1),
	ENFANTS_CHARGE NUMBER(1),
	ID_SITUATION_PROF NUMBER(38),
	SAL_CRNE VARCHAR2(8),
	SAL_LIBELLE VARCHAR2(100),
	ID_QUOTITE NUMBER(38),
	ID_ACTIVITE NUMBER(38),
	ID_COTISATION NUMBER(38) ,
	AFF_SS NUMBER(1) DEFAULT 0 , 
	ID_MUTUELLE NUMBER(38),
	AYANT_DROIT NUMBER(1),
	TYPE_REGIME VARCHAR2(100),
	SPORT_UNIV NUMBER(1) DEFAULT 0,
	ADH_AGME NUMBER(1) DEFAULT 0 ,
	INTERRUPT_ETUDE NUMBER(1) DEFAULT 0,
	DUREE_INTERRUPT NUMBER(38), 
	DEMANDEUR_EMPLOI NUMBER(1) DEFAULT 0 ,
	FORMATION_FINANCEE NUMBER(1) DEFAULT 0 , 
	ETUD_HANDICAP NUMBER(1) DEFAULT 0, 
	THAN_CODE VARCHAR2(2),
	ASSURANCE_CIVILE NUMBER(1)DEFAULT 0 , 
	ASSURANCE_CIVILE_CIE VARCHAR2(100),
	ASSURANCE_CIVILE_NUM VARCHAR2(100),
	RECENSEMENT NUMBER(1) DEFAULT 0,
	CERTIFICAT_PART_APPEL NUMBER(1)DEFAULT 0,
	ETUD_SPORT_HN NUMBER(1) DEFAULT 0 ,
	D_CREATION DATE  NOT NULL, 
	D_MODIFICATION DATE, 
	PERS_ID_CREATION NUMBER(38) , 
	PERS_ID_MODIFICATION NUMBER(38),
	PRIMARY KEY (ID_PRE_ETUDIANT_ANNEE)  
);
	CREATE SEQUENCE SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE_SEQ START WITH 1;
	
	COMMENT ON TABLE SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE  IS 'Table contenant les diverses information de l''étudiant (ancienne table PRE_HISTORIQUE).';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.ID_PRE_ETUDIANT_ANNEE IS 'cle primaire';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.ID_PRE_ETUDIANT IS 'id de la table de pre_etudiant';
 	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.ANNEE IS 'Année de l''inscription.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.BOURSIER IS 'L''étudiant est-il Boursier (1 : oui , 0 : non)';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.ACAD_BOURSE IS 'Libellé du crous';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.NUM_ALLOC_BOURSE IS 'Numéro d''allocatire de l''étudiant';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.ECH_BOURSE IS 'Echelon bourse de l''étudiant';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.AUTRE_CAS_EXO IS 'Autres cas d''exonération';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.ID_ORIGINE_RESSOURCES IS 'Origine des ressources de l''étudiant';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.TUTEUR1 IS 'Nom et prénom du tuteur1';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.TUTEUR2 IS 'Nom et prénom du tuteur2';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.PRO_CODE IS 'Référence à GRHUM.PROFESSION.PRO_CODE ; profession du premier responsable';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.PRO_CODE2 IS 'Référence à GRHUM.PROFESSION.PRO_CODE ; profession  du second responsable, si nécessaire.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.ID_SITUATION_FAMILIALE IS 'Code de la situation de famille (fk GRHUM.SITUATION_FAMILIALE)';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.ID_SITUATION_PROF IS 'l''étudiant est il fonctionnaire, non, ou autre';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.SAL_CRNE IS 'code rne de l''établissement où l''étudiant est salarié';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.SAL_LIBELLE IS 'si autre coché , libellé correspondant';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.ID_QUOTITE IS 'si l''étudiant est salarie, la quotité de travail, correspond à id_quotite de la table Quotite';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.ID_ACTIVITE IS 'Activité professionnelle, correspond à id_activité de la table ACTIVITE_PROFESSIONNELLE'; 
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.AFF_SS IS 'Affiliation au régime ''étudiant'' de la sécurité sociale  (1 : oui , 0 : non)';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.ID_COTISATION IS 'id cotisation correspondant à la table COTISATION';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.ID_MUTUELLE IS 'Organisme de remboursement, corresponsd à id_Mutuelle de la table MUTUELLE';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.AYANT_DROIT IS 'Information calculee a partir de AFF_SS etID_COTISATION ; 1 : Etudiant affilie et non cotisant ; -1 : Etudiant affilie et cotisant ; -2 : Etudiant affilie, cotisant mais exonere.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.TYPE_REGIME IS 'Renseigne le type de regime qui justifie l''exoneration de la cotisation a l''affiliation au regime etudiant de securite sociale.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.SPORT_UNIV IS 'pratique de sport universitaire  (1 : oui , 0 : non)';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.ADH_AGME IS 'adhésion à l''A.G.M.E. (1 : oui , 0 : non)';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.INTERRUPT_ETUDE IS 'Y-a-til eu interruption des études?  (1 : oui , 0 : non)';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.DUREE_INTERRUPT IS 'durée de l''interruption';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.DEMANDEUR_EMPLOI IS 'L''étudiant est-il demandeur d''emploi? (1 : oui , 0 : non)';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.FORMATION_FINANCEE IS 'Formation financée  (1 : oui , 0 : non)';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.ETUD_HANDICAP IS 'Etudiant handicapé  (1 : oui , 0 : non)';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.THAN_CODE IS 'code du type d''handicap';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.ASSURANCE_CIVILE IS 'l''étudiant dispose t-il d''une assurance à resposabilité civile? (1:oui , 0:non)';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.ASSURANCE_CIVILE_CIE IS 'comapgnie de l''assurance';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.ASSURANCE_CIVILE_NUM IS 'numéro de l''assurance';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.RECENSEMENT IS 'Attestation de recensement du service national (1 : oui , 0 : non)';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.CERTIFICAT_PART_APPEL IS 'certificat de participation à l''appel du service national (1:oui , 0:non)';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.ETUD_SPORT_HN IS 'sportif de haut niveau (1 : oui , 0 : non)';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE.ENFANTS_CHARGE IS 'a au moins un enfant à charge (1 : oui , 0 : non)';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_INSCRIPTION.D_CREATION IS 'Date de creation de l''enregistrement.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_INSCRIPTION.D_MODIFICATION IS 'Date de la derniere modification de l''enregistrement.';
 	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_INSCRIPTION.PERS_ID_CREATION IS 'Pers_id de la personne à l''origine de la création de l''enregistrement';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_INSCRIPTION.PERS_ID_MODIFICATION IS 'Pers_id de la personne à l''origine de la modification de l''enregistrement';

	ALTER TABLE SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE ADD CONSTRAINT FK_PREETUANNEE_PRE_ETUDIANT FOREIGN KEY (ID_PRE_ETUDIANT) REFERENCES SCO_PRE_SCOLARITE.PRE_ETUDIANT DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE ADD CONSTRAINT FK_PREETUANNEE_ORIGINE_RES FOREIGN KEY (ID_ORIGINE_RESSOURCES) REFERENCES SCO_SCOLARITE.ORIGINE_RESSOURCES DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE ADD CONSTRAINT FK_PREETUANNEE_PROFESSION FOREIGN KEY (PRO_CODE) REFERENCES GRHUM.PROFESSION DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE ADD CONSTRAINT FK_PREETUANNEE_PROFESSION_2 FOREIGN KEY (PRO_CODE2) REFERENCES GRHUM.PROFESSION DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE ADD CONSTRAINT FK_PREETUANNEE_SITUATION_FAM FOREIGN KEY (ID_SITUATION_FAMILIALE) REFERENCES GRHUM.SITUATION_FAMILIALE DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE ADD CONSTRAINT FK_PREETUANNEE_SITUATION_PROF FOREIGN KEY (ID_SITUATION_PROF) REFERENCES SCO_SCOLARITE.SITUATION_PROFESSIONNELLE DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE ADD CONSTRAINT FK_PREETUANNEE_QUOTITE FOREIGN KEY (ID_QUOTITE) REFERENCES SCO_SCOLARITE.QUOTITE_TRAVAIL DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE ADD CONSTRAINT FK_PREETUANNEE_ACTIVITE FOREIGN KEY (ID_ACTIVITE) REFERENCES SCO_SCOLARITE.ACTIVITE_PROFESSIONNELLE DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE ADD CONSTRAINT FK_PREETUANNEE_COTISATION FOREIGN KEY (ID_COTISATION) REFERENCES SCO_SCOLARITE.COTISATION DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE ADD CONSTRAINT FK_PREETUANNEE_MUTUELLE FOREIGN KEY (ID_MUTUELLE) REFERENCES SCO_SCOLARITE.MUTUELLE DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE ADD CONSTRAINT FK_PREETUANNEE_TYPE_HANDICAP FOREIGN KEY (THAN_CODE) REFERENCES GRHUM.TYPE_HANDICAP DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE ADD CONSTRAINT FK_PREETUANNEE_PERSONNE FOREIGN KEY (PERS_ID_CREATION) REFERENCES GRHUM.PERSONNE DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE ADD CONSTRAINT FK_PREETUANNEE_PERSONNE2 FOREIGN KEY (PERS_ID_MODIFICATION) REFERENCES GRHUM.PERSONNE DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_ETUDIANT_ANNEE ADD CONSTRAINT FK_PREETUANNEE_RNE FOREIGN KEY (SAL_CRNE) REFERENCES GRHUM.RNE DEFERRABLE INITIALLY DEFERRED;


CREATE TABLE SCO_PRE_SCOLARITE.PRE_CURSUS (	
	ID_PRE_CURSUS NUMBER(38)  NOT NULL, 
	ID_PRE_ETUDIANT NUMBER(38) NOT NULL,
	ANNEE_DEBUT NUMBER(38) NOT NULL, 
	ANNEE_FIN NUMBER(38), 
	C_RNE VARCHAR2(8),
	ACCES_TITRE NUMBER(38),
	ACCES_MENTION NUMBER(38),
	FORMATION VARCHAR2(255),
	NIVEAU NUMBER(38),
	GRADE NUMBER(38),
	TYPE NUMBER(38),
	DIPLOME VARCHAR2(255),
	TYPE_INSCTRIPTION VARCHAR(255),
	INTERRUPTION_ETUD NUMBER(1) DEFAULT 0, 
	D_CREATION DATE  NOT NULL, 
	D_MODIFICATION DATE, 
	PERS_ID_CREATION NUMBER(38) , 
	PERS_ID_MODIFICATION NUMBER(38),
	PRIMARY KEY (ID_PRE_CURSUS)  
);
	CREATE SEQUENCE SCO_PRE_SCOLARITE.PRE_CURSUS_SEQ START WITH 1;
	
	COMMENT ON TABLE SCO_PRE_SCOLARITE.PRE_CURSUS  IS 'Table contenant le cursus de l''étudiant .';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_CURSUS.ID_PRE_CURSUS IS 'cle primaire';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_CURSUS.ID_PRE_ETUDIANT IS 'id de la table de pre_etudiant';
 	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_CURSUS.ANNEE_DEBUT IS 'annéee de début de période';
 	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_CURSUS.ANNEE_FIN IS 'annéee de fin de période';
 	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_CURSUS.C_RNE IS 'correspond au code rne (table GRHUMµ.RNE) de l''établissement';
 	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_CURSUS.ACCES_TITRE IS 'Titre d''accès à létablissement';
 	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_CURSUS.ACCES_MENTION IS 'mention du titre d''accès';
 	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_CURSUS.FORMATION IS 'intutilé de la formation suivie';
 	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_CURSUS.NIVEAU IS 'niveau de la formation suivi';
 	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_CURSUS.GRADE IS 'grade de la formation suivi';
 	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_CURSUS.TYPE IS 'type de la formation suivi';
 	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_CURSUS.DIPLOME IS 'diplome obtenu';
 	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_CURSUS.TYPE_INSCTRIPTION IS 'type d''inscription  (ES = Enseignement supérieur, Fr. = Université française, Local = Université de l''IA)';
 	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_CURSUS.INTERRUPTION_ETUD IS 'Interruption des études';
  	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_CURSUS.D_CREATION IS 'Date de creation de l''enregistrement.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_CURSUS.D_MODIFICATION IS 'Date de la derniere modification de l''enregistrement.';
 	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_CURSUS.PERS_ID_CREATION IS 'Pers_id de la personne à l''origine de la création de l''enregistrement';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_CURSUS.PERS_ID_MODIFICATION IS 'Pers_id de la personne à l''origine de la modification de l''enregistrement';

	ALTER TABLE SCO_PRE_SCOLARITE.PRE_CURSUS ADD CONSTRAINT FK_PRECURSUS_PRE_ETUDIANT FOREIGN KEY (ID_PRE_ETUDIANT) REFERENCES SCO_PRE_SCOLARITE.PRE_ETUDIANT DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_CURSUS ADD CONSTRAINT FK_PRECURSUS_C_RNE FOREIGN KEY (C_RNE) REFERENCES GRHUM.RNE DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_CURSUS ADD CONSTRAINT FK_PRECURSUS_GRADE FOREIGN KEY (GRADE) REFERENCES SCO_SCOLARITE.GRADE_UNIVERSITAIRE DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_CURSUS ADD CONSTRAINT FK_PRECURSUS_TYPE FOREIGN KEY (TYPE) REFERENCES SCO_SCOLARITE.TYPE_FORMATION DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_CURSUS ADD CONSTRAINT FK_PRECURSUS_PERSONNE FOREIGN KEY (PERS_ID_CREATION) REFERENCES GRHUM.PERSONNE DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_CURSUS ADD CONSTRAINT FK_PRECURSUS_PERSONNE2 FOREIGN KEY (PERS_ID_MODIFICATION) REFERENCES GRHUM.PERSONNE DEFERRABLE INITIALLY DEFERRED;

CREATE TABLE SCO_PRE_SCOLARITE.PRE_BOURSES (	
	ID_PRE_BOURSES NUMBER(38)  NOT NULL, 
	ID_PRE_ETUDIANT NUMBER(38) NOT NULL,
	ANNEE NUMBER(4) NOT NULL, 
	ORGANISME VARCHAR2(50),
	NUM_ALLOCATAIRE VARCHAR2(13),
	ECHELON NUMBER(2), 
	D_CREATION DATE  NOT NULL, 
	D_MODIFICATION DATE, 
	PERS_ID_CREATION NUMBER(38) , 
	PERS_ID_MODIFICATION NUMBER(38),
	PRIMARY KEY (ID_PRE_BOURSES)  
);
	CREATE SEQUENCE SCO_PRE_SCOLARITE.PRE_BOURSES_SEQ START WITH 1;
	
	COMMENT ON TABLE SCO_PRE_SCOLARITE.PRE_BOURSES  IS 'Table contenant le cursus de l''étudiant .';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_BOURSES.ID_PRE_BOURSES IS 'cle primaire';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_BOURSES.ID_PRE_ETUDIANT IS 'id de la table de pre_etudiant';
 	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_BOURSES.ANNEE IS 'Année de l''inscription.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_BOURSES.ORGANISME IS 'Libellé de l''organisme ( CROUS, Ministère, Conseil Général, ...)';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_BOURSES.NUM_ALLOCATAIRE IS 'Numéro d''allocataire de l''étudiant';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_BOURSES.ECHELON IS 'Echelon bourse de l''étudiant';
  	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_BOURSES.D_CREATION IS 'Date de creation de l''enregistrement.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_BOURSES.D_MODIFICATION IS 'Date de la derniere modification de l''enregistrement.';
 	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_BOURSES.PERS_ID_CREATION IS 'Pers_id de la personne à l''origine de la création de l''enregistrement';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.PRE_BOURSES.PERS_ID_MODIFICATION IS 'Pers_id de la personne à l''origine de la modification de l''enregistrement';

	ALTER TABLE SCO_PRE_SCOLARITE.PRE_BOURSES ADD CONSTRAINT FK_PREBOURSES_PRE_ETUDIANT FOREIGN KEY (ID_PRE_ETUDIANT) REFERENCES SCO_PRE_SCOLARITE.PRE_ETUDIANT DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_BOURSES ADD CONSTRAINT FK_PREBOURSES_PERSONNE FOREIGN KEY (PERS_ID_CREATION) REFERENCES GRHUM.PERSONNE DEFERRABLE INITIALLY DEFERRED;
	ALTER TABLE SCO_PRE_SCOLARITE.PRE_BOURSES ADD CONSTRAINT FK_PREBOURSES_PERSONNE2 FOREIGN KEY (PERS_ID_MODIFICATION) REFERENCES GRHUM.PERSONNE DEFERRABLE INITIALLY DEFERRED;
	
CREATE TABLE SCO_PRE_SCOLARITE.DB_VERSION  (
	DBV_ID      NUMBER(38) NOT NULL,
	DBV_LIBELLE VARCHAR2(15) NOT NULL,
	DBV_DATE DATE NOT NULL ,
	DBV_INSTALL DATE,
	DBV_COMMENT VARCHAR2(2000),
	PRIMARY KEY (DBV_ID) 
);	
	CREATE SEQUENCE SCO_PRE_SCOLARITE.DB_VERSION_SEQ START WITH 1;
	COMMENT ON TABLE SCO_PRE_SCOLARITE.DB_VERSION IS 'Table contenant les versions des scripts passes';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.DB_VERSION.DBV_ID IS 'Identifiant de la version';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.DB_VERSION.DBV_LIBELLE IS 'Libelle de la version';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.DB_VERSION.DBV_DATE IS 'Date de release de la version';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.DB_VERSION.DBV_INSTALL IS 'Date d''installation de la version. Si non renseigne, la version n''est pas completement installee.';
	COMMENT ON COLUMN SCO_PRE_SCOLARITE.DB_VERSION.DBV_COMMENT IS 'Le commentaire : une courte description de cette version de la base de donnees.';
